Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.formula
Class fRange

    java.lang.Object
      jet.connect.DbValue
          jet.formula.fArray
              jet.formula.fRange

All Implemented Interfaces:
  jet.util.DbValueable, jet.util.QuickSortableNode

Direct Known Subclasses:
  fBoolRange, fCurRange, fDateRange, fDateTimeRange, fIntRange, fNumRange, fStrRange, fTimeRange

    public abstract class fRange

extends fArray

Range is a special data type of formula variable which is mainly used to specify the index of the sub-array of an array. A range has two elements, the beginning index and the end index of the target array. If bNull attribute of the two elements of the Range are not true, the Range is a valid Range. If the value of either element of the Range is null, it means negative or positive infinite.

Field Summary

Fields inherited from class jet.formula.fArray
`value`

Fields inherited from class jet.connect.DbValue
`bNull, CHAR_DESC, CURRENCY_DESC, DATE_DESC, desc, DOUBLE_DESC, INTEGER_DESC, TIME_DESC`

Fields inherited from interface jet.util.DbValueable
`EQUAL, GREATER, LESS`

Constructor Summary
`fRange()` Creates an empty range object.
`fRange(DbValue[] val, boolean b)`
`fRange(DbValue end, DbValue begin)` The bNull remains true after calling this method.
`fRange(int arraysize)`

Method Summary
`java.lang.String` | `toString()` Converts the value to string.

Methods inherited from class jet.formula.fArray
`compareTo, equals, getArray, getArray, getInstance, isAll, set, set, set, setIsAll, setValue, toStringValue`

Methods inherited from class jet.connect.DbValue
`clone, compareTo, compareTo, equals, getColDesc, getPrecision, getScale, getSqlType, isCurrency, isNull, makeDbValue, set, setColDesc, setfoo, setNull, setValue`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### fRange

    public fRange()

  Creates an empty range object.

### fRange

    public fRange(int arraysize)

Parameters:
  `arraysize` - if the value does not equal to two, an IllegalArgumentException will be thrown.

### fRange

    public fRange(DbValue end,
                  DbValue begin)

  The bNull remains true after calling this method.

  Parameters:
    `end` -
    `begin` -

### fRange

    public fRange(DbValue[] val,
                  boolean b)

Parameters:
  `val` - The element 0 is the beginning index, and the element 1 is the end. If any array has less or more elements, an IllegalArgumentException will be thrown.
  `b` - the bNull flag of this range object

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `DbValue`
  Converts the value to string.

  Overrides:
    `toString` in class `fArray`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD